Bug 740423 - Add/Remove Software cannot add or remove software
Summary: Add/Remove Software cannot add or remove software
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 15
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 01:54 UTC by Brian Meagher
Modified: 2012-08-06 20:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-06 20:02:47 UTC


Attachments (Terms of Use)

Description Brian Meagher 2011-09-22 01:54:16 UTC
Description of problem:
When attempting to install or uninstall software using Add/Remove Software, the following error occurs: 
Authorization failed
You have failed to provide correct authentication. Please check any passwords or account settings.
More Details
Failed to obtain authentication.

Version-Release number of selected component (if applicable):
Fedora 15. By the way, I am using classic gnome with compiz because gnome 3 is extremely buggy on my computer.

How reproducible:
Just try to add or remove any software from the Add/Remove Software under "System Tools" under "Applications."

Steps to Reproduce (uninstalling):
1. Open Add/Remove Software.
2. Unclick software that is already installed and click apply.
3. Click "continue" in the window that appears for removing dependencies.
 
Steps to Reproduce (installing):
1. Open Add/Remove Software.
2. Click software that you want to install and click apply.
3. Click "continue" in the window that appears for accepting dependent software.

Actual results:
A window appears with the exact words contained in "Description of Problem" above.

Expected results:
Software to be added or removed like it was in Fedora 14.

Additional info:

Comment 1 Brian Meagher 2011-09-22 01:57:13 UTC
I forgot to mention. In Fedora 14 I was prompted to input my root password. But in Fedora 15 I'm not asked to do this anymore.

Comment 2 Martin 2011-09-28 05:28:07 UTC
I'm getting the same error-message from KPackageKit, using Fedora 14 with KDE rather than Gnome.

I just upgraded my system from Fedora 13 with KDE to Fedora 14 with KDE.  I can't update my system now, using KPackageKit, because when I try to install software I get the error message shown above: "Authorization failed.  You have failed to provide correct authentication. Please check any passwords or account settings.".

After I did the upgrade I had some problems with my network settings, because I'm not using  "Network Manager" to manage my network settings.  I'm using a static IP address, so my network settings may be unusual.  I'm mentioning this because it may be relevant, it may be a network problem.

Comment 3 Brian Meagher 2011-09-30 05:17:00 UTC
I got this bug just using default ethernet settings from 3 different locations, 2 wireless networks and one wired network.

Comment 4 Fedora End Of Life 2012-08-06 20:02:47 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2012-08-06 20:02:47 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.